EventCartridge (Velocity 1.4 API)
Keywords: org.apache.velocity.app.event.EventCartridge class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event
Class EventCartridge

    java.lang.Object
      org.apache.velocity.app.event.EventCartridge

All Implemented Interfaces:
  EventHandler, MethodExceptionEventHandler, NullSetEventHandler, ReferenceInsertionEventHandler

public class EventCartridge
extends java.lang.Object
implements ReferenceInsertionEventHandler, NullSetEventHandler, MethodExceptionEventHandler

'Package' of event handlers...

Version:
  $Id: EventCartridge.java,v 1.3.4.1 2004/03/03 23:22:53 geirm Exp $
Author:
  Geir Magnusson Jr., Jose Alberto Fernandez

Field Summary
`private MethodExceptionEventHandler` | `meeh`
`private NullSetEventHandler` | `nseh`
`private ReferenceInsertionEventHandler` | `rieh`

Constructor Summary
`EventCartridge()`

Method Summary
`boolean` | `addEventHandler(EventHandler ev)` Adds an event handler(s) to the Cartridge.
`boolean` | `attachToContext(Context context)` Attached the EventCartridge to the context Final because not something one should mess with lightly :)
`java.lang.Object` | `methodException(java.lang.Class claz, java.lang.String method, java.lang.Exception e)` Implementation of MethodExceptionEventHandler method `methodException()`.
`java.lang.Object` | `referenceInsert(java.lang.String reference, java.lang.Object value)` Implementation of ReferenceInsertionEventHandler method `referenceInsert()`.
`boolean` | `removeEventHandler(EventHandler ev)` Removes an event handler(s) from the Cartridge.
`boolean` | `shouldLogOnNullSet(java.lang.String lhs, java.lang.String rhs)` Implementation of NullSetEventHandler method `shouldLogOnNullSet()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rieh

    private ReferenceInsertionEventHandler rieh

### nseh

    private NullSetEventHandler nseh

### meeh

    private MethodExceptionEventHandler meeh

Constructor Detail

### EventCartridge

    public EventCartridge()

Method Detail

### addEventHandler

    public boolean addEventHandler(EventHandler ev)

  Adds an event handler(s) to the Cartridge. This method will find all possible event handler interfaces supported by the passed in object.

  Parameters:
    `ev` - object impementing a valid EventHandler-derived interface
  Returns:
    true if a supported interface, false otherwise or if null

### removeEventHandler

    public boolean removeEventHandler(EventHandler ev)

  Removes an event handler(s) from the Cartridge. This method will find all possible event handler interfaces supported by the passed in object and remove them.

  Parameters:
    `ev` - object impementing a valid EventHandler-derived interface
  Returns:
    true if a supported interface, false otherwise or if null

### referenceInsert

    public java.lang.Object referenceInsert(java.lang.String reference,
                                            java.lang.Object value)

  Implementation of ReferenceInsertionEventHandler method `referenceInsert()`. Called during Velocity merge before a reference value will be inserted into the output stream.

  Specified by:
    `referenceInsert` in interface `ReferenceInsertionEventHandler`
  Parameters:
    `reference` - reference from template about to be inserted
    `value` - value about to be inserted (after toString() )
  Returns:
    Object on which toString() should be called for output.

### shouldLogOnNullSet

    public boolean shouldLogOnNullSet(java.lang.String lhs,
                                      java.lang.String rhs)

  Implementation of NullSetEventHandler method `shouldLogOnNullSet()`. Called during Velocity merge to determine if when a #set() results in a null assignment, a warning is logged.

  Specified by:
    `shouldLogOnNullSet` in interface `NullSetEventHandler`
  Parameters:
    `lhs` - reference literal of left-hand-side of set statement
    `rhs` - reference literal of right-hand-side of set statement
  Returns:
    true if to be logged, false otherwise

### methodException

    public java.lang.Object methodException(java.lang.Class claz,
                                            java.lang.String method,
                                            java.lang.Exception e)
                                     throws java.lang.Exception

  Implementation of MethodExceptionEventHandler method `methodException()`. Called during Velocity merge if a reference is null

  Specified by:
    `methodException` in interface `MethodExceptionEventHandler`
  Parameters:
    `claz` - Class that is causing the exception
    `method` - method called that causes the exception
    `e` - Exception thrown by the method
  Returns:
    Object to return as method result
  Throws:
    `exception` - to be wrapped and propogated to app
    `java.lang.Exception`

### attachToContext

    public final boolean attachToContext(Context context)

  Attached the EventCartridge to the context Final because not something one should mess with lightly :)

  Parameters:
    `context` - context to attach to
  Returns:
    true if successful, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.